Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0042285
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformminorhave not tried2019-11-14 15:102019-12-16 12:37
ReportercbernerView Statuspublic 
Assigned Tocberner 
PrioritynormalResolutionfixedFixed in Version3.0PR20Q1
StatusclosedFix in branchFixed in SCM revision5a438a7a4de3
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned ToAugustoMauch
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0042285: Apply new HQL style to interface AccessTypeInjector and remove StringBuilder

DescriptionUse String instead of StringBuilder in AccessTypeInjector to prevent HQL Injection and comply with the new HQL formatting.

Remove this in both AccessTypeInjector interface and the classes it extends, this will also require a small API change.
Steps To Reproduce-
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to design defect 0041287 acknowledgedplatform Tracking issue: Convert HQL to apply new style 
causes defect 0042432 closedcberner API Change: Changed StringBuffer parameter to String in method clause 

-  Notes
(0115959)
hgbot (developer)
2019-11-28 18:04

Repository: erp/devel/pi
Changeset: 5a438a7a4de329d0f9c5d1eb25ca333d52089ac9
Author: Cristian Berner <cristian.berner <at> openbravo.com>
Date: Thu Nov 14 15:47:30 2019 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/5a438a7a4de329d0f9c5d1eb25ca333d52089ac9 [^]

Fixes issue 42285: Apply new HQL Style to AccessTypeInjector and implementors

---
M src/org/openbravo/role/inheritance/access/AccessTypeInjector.java
M src/org/openbravo/role/inheritance/access/AlertRecipientAccessInjector.java
M src/org/openbravo/role/inheritance/access/PreferenceAccessInjector.java
---
(0116294)
hudsonbot (developer)
2019-12-12 23:01

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/954d2b7a66fb [^]
Maturity status: Test
(0116340)
AugustoMauch (developer)
2019-12-16 12:37

Code reviewed and verified

- Issue History
Date Modified Username Field Change
2019-11-14 15:10 cberner New Issue
2019-11-14 15:10 cberner Assigned To => cberner
2019-11-14 15:10 cberner Modules => Core
2019-11-14 15:10 cberner Triggers an Emergency Pack => No
2019-11-14 15:12 cberner Relationship added related to 0041287
2019-11-14 15:13 cberner Status new => scheduled
2019-11-14 15:13 cberner Description Updated View Revisions
2019-11-28 11:01 cberner Relationship added causes 0042432
2019-11-28 18:04 hgbot Checkin
2019-11-28 18:04 hgbot Note Added: 0115959
2019-11-28 18:04 hgbot Status scheduled => resolved
2019-11-28 18:04 hgbot Resolution open => fixed
2019-11-28 18:04 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/5a438a7a4de329d0f9c5d1eb25ca333d52089ac9 [^]
2019-11-29 09:57 alostale Review Assigned To => AugustoMauch
2019-12-12 23:01 hudsonbot Checkin
2019-12-12 23:01 hudsonbot Note Added: 0116294
2019-12-16 12:37 AugustoMauch Note Added: 0116340
2019-12-16 12:37 AugustoMauch Status resolved => closed
2019-12-16 12:37 AugustoMauch Fixed in Version => 3.0PR20Q1


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker